package com.purui.prims.auth.authentication.persistence.dataobject;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 用户表
 *
 * @author charlie
 * @date   2024-06-13
 */
@Data
@TableName("pr_user")
public class UserDO {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 中文名
     */
    private String displayName;

    /**
     * 用户组
     */
    private Integer roleId;

    /**
     * 密码
     */
    private String password;

    /**
     * Salt
     */
    private String salt;

    /**
     * 邮件
     */
    private String email;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 是否管理员
     */
    private Integer isAdmin;

    /**
     * 状态
     */
    private Integer status;

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", userName=").append(userName);
        sb.append(", displayName=").append(displayName);
        sb.append(", roleId=").append(roleId);
        sb.append(", password=").append(password);
        sb.append(", salt=").append(salt);
        sb.append(", email=").append(email);
        sb.append(", mobile=").append(mobile);
        sb.append(", isAdmin=").append(isAdmin);
        sb.append(", status=").append(status);
        sb.append("]");
        return sb.toString();
    }
}